Index: fittingview/src/sans/perspectives/fitting/basepage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/basepage.py	(revision f992a06e61976845619bed3fe4df39c8886b2432)
+++ fittingview/src/sans/perspectives/fitting/basepage.py	(revision ef26c8354b6185342ee4ec2f74e2fe34c632c808)
@@ -898,12 +888,12 @@
         self.state.plugin_rbutton = self.plugin_rbutton.GetValue()
         #model combobox
-        self.state.structurebox = self.structurebox.GetLabel()#.GetSelection()
-        self.state.formfactorbox = self.formfactorbox.GetLabel()#.GetSelection()
+        self.state.structurebox = self.structurebox.GetLabel()
+        self.state.formfactorbox = self.formfactorbox.GetLabel()
         
         self.state.enable2D = copy.deepcopy(self.enable2D)
-        self.state.values= copy.deepcopy(self.values)
-        self.state.weights = copy.deepcopy( self.weights)
-        ## save data    
-        self.state.data= copy.deepcopy(self.data)
+        self.state.values = copy.deepcopy(self.values)
+        self.state.weights = copy.deepcopy(self.weights)
+        ## save data
+        self.state.data = copy.deepcopy(self.data)
         self.state.qmax_x = self.qmax_x
         self.state.qmin_x = self.qmin_x
@@ -914,10 +904,10 @@
         self.state.dq_l = self.dq_l
         self.state.dq_r = self.dq_r
-        if hasattr(self,"enable_disp"):
-            self.state.enable_disp= self.enable_disp.GetValue()
+        if hasattr(self, "enable_disp"):
+            self.state.enable_disp = self.enable_disp.GetValue()
             self.state.disable_disp = self.disable_disp.GetValue()
             
         self.state.smearer = copy.deepcopy(self.current_smearer)
-        if hasattr(self,"enable_smearer"):
+        if hasattr(self, "enable_smearer"):
             self.state.enable_smearer = \
                                 copy.deepcopy(self.enable_smearer.GetValue())
@@ -927,11 +917,10 @@
         self.state.pinhole_smearer = \
                                 copy.deepcopy(self.pinhole_smearer.GetValue())
-        self.state.slit_smearer = copy.deepcopy(self.slit_smearer.GetValue())  
+        self.state.slit_smearer = copy.deepcopy(self.slit_smearer.GetValue())
                   
-        if len(self._disp_obj_dict)>0:
-            for k , v in self._disp_obj_dict.iteritems():
-                self.state._disp_obj_dict[k]= v
-                        
-            
+        if len(self._disp_obj_dict) > 0:
+            for k, v in self._disp_obj_dict.iteritems():
+                self.state._disp_obj_dict[k] = v
+
             self.state.values = copy.deepcopy(self.values)
             self.state.weights = copy.deepcopy(self.weights)
@@ -946,7 +935,6 @@
         self.state.str_parameters = []
 
-        
         ## save checkbutton state and txtcrtl values
-        self._copy_parameters_state(self.str_parameters, 
+        self._copy_parameters_state(self.str_parameters,
                                     self.state.str_parameters)
         self._copy_parameters_state(self.orientation_params,
@@ -967,7 +955,7 @@
         """
         ## save model option
-        if self.model!= None:
-            self.disp_list= self.model.getDispParamList()
-            self.state.disp_list= copy.deepcopy(self.disp_list)
+        if self.model != None:
+            self.disp_list = self.model.getDispParamList()
+            self.state.disp_list = copy.deepcopy(self.disp_list)
             self.state.model = self.model.clone()
         if hasattr(self, "engine_type"):
@@ -975,15 +963,15 @@
             
         self.state.enable2D = copy.deepcopy(self.enable2D)
-        self.state.values= copy.deepcopy(self.values)
-        self.state.weights = copy.deepcopy( self.weights)
-        ## save data    
-        self.state.data= copy.deepcopy(self.data)
-        
-        if hasattr(self,"enable_disp"):
-            self.state.enable_disp= self.enable_disp.GetValue()
+        self.state.values = copy.deepcopy(self.values)
+        self.state.weights = copy.deepcopy(self.weights)
+        ## save data
+        self.state.data = copy.deepcopy(self.data)
+        
+        if hasattr(self, "enable_disp"):
+            self.state.enable_disp = self.enable_disp.GetValue()
             self.state.disable_disp = self.disable_disp.GetValue()
             
         self.state.smearer = copy.deepcopy(self.current_smearer)
-        if hasattr(self,"enable_smearer"):
+        if hasattr(self, "enable_smearer"):
             self.state.enable_smearer = \
                                 copy.deepcopy(self.enable_smearer.GetValue())
@@ -993,10 +981,10 @@
         self.state.pinhole_smearer = \
                                 copy.deepcopy(self.pinhole_smearer.GetValue())
-        self.state.slit_smearer = copy.deepcopy(self.slit_smearer.GetValue())  
+        self.state.slit_smearer = copy.deepcopy(self.slit_smearer.GetValue())
         self.state.dI_noweight = copy.deepcopy(self.dI_noweight.GetValue())
         self.state.dI_didata = copy.deepcopy(self.dI_didata.GetValue())
         self.state.dI_sqrdata = copy.deepcopy(self.dI_sqrdata.GetValue())
-        self.state.dI_idata = copy.deepcopy(self.dI_idata.GetValue())  
-        if hasattr(self,"disp_box"):
+        self.state.dI_idata = copy.deepcopy(self.dI_idata.GetValue())
+        if hasattr(self, "disp_box"):
             self.state.disp_box = self.disp_box.GetCurrentSelection()
 
@@ -1004,5 +992,5 @@
                 for k, v in self.disp_cb_dict.iteritems():
          
-                    if v == None :
+                    if v == None:
                         self.state.disp_cb_dict[k] = v
                     else:
@@ -1013,9 +1001,7 @@
            
             if len(self._disp_obj_dict) > 0:
-                for k , v in self._disp_obj_dict.iteritems():
-      
+                for k, v in self._disp_obj_dict.iteritems():
                     self.state._disp_obj_dict[k] = v
                         
-            
             self.state.values = copy.deepcopy(self.values)
             self.state.weights = copy.deepcopy(self.weights)
@@ -1034,10 +1020,8 @@
         self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
     
-          
-    def check_invalid_panel(self):  
+    def check_invalid_panel(self):
         """
         check if the user can already perform some action with this panel
-        """ 
-        flag = False
+        """
         if self.data is None:
             self.disable_smearer.SetValue(True)
@@ -1055,5 +1039,5 @@
       
         ## set the state of the radio box
-        self.shape_rbutton.SetValue(state.shape_rbutton )
+        self.shape_rbutton.SetValue(state.shape_rbutton)
         self.shape_indep_rbutton.SetValue(state.shape_indep_rbutton)
         self.struct_rbutton.SetValue(state.struct_rbutton)
@@ -1092,5 +1076,5 @@
             self.multifactorbox.SetSelection(state.multi_factor)
             
-         ## reset state of checkbox,textcrtl  and  regular parameters value
+        ## reset state of checkbox,textcrtl  and  regular parameters value
         self._reset_parameters_state(self.orientation_params_disp,
                                      state.orientation_params_disp)
@@ -1099,15 +1083,14 @@
         self._reset_parameters_state(self.str_parameters,
                                      state.str_parameters)
-        self._reset_parameters_state(self.parameters,state.parameters)
-         ## display dispersion info layer        
+        self._reset_parameters_state(self.parameters, state.parameters)
+        ## display dispersion info layer
         self.enable_disp.SetValue(state.enable_disp)
         self.disable_disp.SetValue(state.disable_disp)
         
         if hasattr(self, "disp_box"):
-            
-            self.disp_box.SetSelection(state.disp_box) 
-            n= self.disp_box.GetCurrentSelection()
-            dispersity= self.disp_box.GetClientData(n)
-            name = dispersity.__name__     
+            self.disp_box.SetSelection(state.disp_box)
+            n = self.disp_box.GetCurrentSelection()
+            dispersity = self.disp_box.GetClientData(n)
+            name = dispersity.__name__
 
             self._set_dipers_Param(event=None)
@@ -1117,5 +1100,5 @@
                 for item in self.disp_cb_dict.keys():
                     
-                    if hasattr(self.disp_cb_dict[item], "SetValue") :
+                    if hasattr(self.disp_cb_dict[item], "SetValue"):
                         self.disp_cb_dict[item].SetValue(\
                                                     state.disp_cb_dict[item])
@@ -1123,16 +1106,16 @@
                         from sans.models.dispersion_models import ArrayDispersion
                         disp_model = ArrayDispersion()
-                        if hasattr(state,"values")and\
+                        if hasattr(state, "values") and \
                                  self.disp_cb_dict[item].GetValue() == True:
-                            if len(state.values)>0:
-                                self.values=state.values
-                                self.weights=state.weights
+                            if len(state.values) > 0:
+                                self.values = state.values
+                                self.weights = state.weights
                                 disp_model.set_weights(self.values,
-                                                        state.weights)
+                                                       state.weights)
                             else:
                                 self._reset_dispersity()
                         
                         self._disp_obj_dict[item] = disp_model
-                        # Set the new model as the dispersion object 
+                        # Set the new model as the dispersion object
                         #for the selected parameter
                         self.model.set_dispersion(item, disp_model)
@@ -1145,16 +1128,16 @@
                 for item in keys:
                     if item in self.disp_list and \
-                        not self.model.details.has_key(item):
+                        not item in self.model.details:
                         self.model.details[item] = ["", None, None]
-                for k,v in self.state.disp_cb_dict.iteritems():
-                    self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
+                for k, v in self.state.disp_cb_dict.iteritems():
+                    self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
                     self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-         ## smearing info  restore
+        ## smearing info  restore
         if hasattr(self, "enable_smearer"):
-            ## set smearing value whether or not the data 
+            ## set smearing value whether or not the data
             #contain the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
-            self.onSmear(event=None)           
+            self.onSmear(event=None)
         self.pinhole_smearer.SetValue(state.pinhole_smearer)
         self.slit_smearer.SetValue(state.slit_smearer)
@@ -1166,14 +1149,16 @@
         
         ## we have two more options for smearing
-        if self.pinhole_smearer.GetValue(): self.onPinholeSmear(event=None)
-        elif self.slit_smearer.GetValue(): self.onSlitSmear(event=None)
+        if self.pinhole_smearer.GetValue():
+            self.onPinholeSmear(event=None)
+        elif self.slit_smearer.GetValue():
+            self.onSlitSmear(event=None)
        
         ## reset state of checkbox,textcrtl  and dispersity parameters value
-        self._reset_parameters_state(self.fittable_param,state.fittable_param)
-        self._reset_parameters_state(self.fixed_param,state.fixed_param)
+        self._reset_parameters_state(self.fittable_param, state.fittable_param)
+        self._reset_parameters_state(self.fixed_param, state.fixed_param)
         
         ## draw the model with previous parameters value
         self._onparamEnter_helper()
-        self.select_param(event=None) 
+        self.select_param(event=None)
         #Save state_fit
         self.save_current_state_fit()
@@ -1191,6 +1176,5 @@
         """
         if state == None:
-            #self._undo.Enable(False)
-            return 
+            return
         # set data, etc. from the state
         # reset page between theory and fitting from bookmarking
@@ -1200,6 +1184,4 @@
         data = state.data
 
-        #if data != None:
-        
         if data == None:
             data_min = state.qmin
@@ -1207,6 +1189,4 @@
             self.qmin_x = data_min
             self.qmax_x = data_max
-            #self.minimum_q.SetValue(str(data_min))
-            #self.maximum_q.SetValue(str(data_max))
             self.qmin.SetValue(str(data_min))
             self.qmax.SetValue(str(data_max))
@@ -1218,5 +1198,5 @@
             self.set_data(data)
             
-        self.enable2D= state.enable2D
+        self.enable2D = state.enable2D
         self.engine_type = state.engine_type
 
@@ -1225,5 +1205,5 @@
       
         ## set the state of the radio box
-        self.shape_rbutton.SetValue(state.shape_rbutton )
+        self.shape_rbutton.SetValue(state.shape_rbutton)
         self.shape_indep_rbutton.SetValue(state.shape_indep_rbutton)
         self.struct_rbutton.SetValue(state.struct_rbutton)
@@ -1239,5 +1219,5 @@
             formfactor_pos = 0
             for ind_form in range(self.formfactorbox.GetCount()):
-                if self.formfactorbox.GetString(ind_form).count(state.formfactorcombobox)>0:
+                if self.formfactorbox.GetString(ind_form).count(state.formfactorcombobox) > 0:
                     formfactor_pos = int(ind_form)
                     break
@@ -1251,5 +1231,5 @@
             structfactor_pos = 0
             for ind_struct in range(self.structurebox.GetCount()):
-                if self.structurebox.GetString(ind_struct).count(state.structurecombobox)>0:
+                if self.structurebox.GetString(ind_struct).count(state.structurecombobox) > 0:
                     structfactor_pos = int(ind_struct)
                     break
@@ -1262,5 +1242,5 @@
         #reset the fitting engine type
         self.engine_type = state.engine_type
-        #draw the pnael according to the new model parameter 
+        #draw the pnael according to the new model parameter
         self._on_select_model(event=None)
             
@@ -1273,5 +1253,5 @@
         # else:
                 
-        if self._manager !=None and self.engine_type != None:
+        if self._manager != None and self.engine_type != None:
             self._manager._on_change_engine(engine=self.engine_type)
         ## set the select all check box to the a given state
@@ -1285,6 +1265,6 @@
         self._reset_parameters_state(self.str_parameters,
                                      state.str_parameters)
-        self._reset_parameters_state(self.parameters,state.parameters)    
-         ## display dispersion info layer        
+        self._reset_parameters_state(self.parameters, state.parameters)
+        ## display dispersion info layer
         self.enable_disp.SetValue(state.enable_disp)
         self.disable_disp.SetValue(state.disable_disp)
@@ -1294,13 +1274,13 @@
             self._set_dipers_Param(event=None)
             self._reset_page_disp_helper(state)
-        ##plotting range restore    
+        ##plotting range restore
         self._reset_plotting_range(state)
         ## smearing info  restore
         if hasattr(self, "enable_smearer"):
-            ## set smearing value whether or not the data 
+            ## set smearing value whether or not the data
             #contain the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
-            self.onSmear(event=None)           
+            self.onSmear(event=None)
         self.pinhole_smearer.SetValue(state.pinhole_smearer)
         self.slit_smearer.SetValue(state.slit_smearer)
@@ -1318,10 +1298,12 @@
  
         ## we have two more options for smearing
-        if self.pinhole_smearer.GetValue(): self.onPinholeSmear(event=None)
-        elif self.slit_smearer.GetValue(): self.onSlitSmear(event=None)
+        if self.pinhole_smearer.GetValue():
+            self.onPinholeSmear(event=None)
+        elif self.slit_smearer.GetValue():
+            self.onSlitSmear(event=None)
         
         ## reset state of checkbox,textcrtl  and dispersity parameters value
-        self._reset_parameters_state(self.fittable_param,state.fittable_param)
-        self._reset_parameters_state(self.fixed_param,state.fixed_param)
+        self._reset_parameters_state(self.fittable_param, state.fittable_param)
+        self._reset_parameters_state(self.fixed_param, state.fixed_param)
         
         ## draw the model with previous parameters value
@@ -1333,5 +1315,5 @@
         
         ## set the value of the current state to the state given as parameter
-        self.state = state.clone() 
+        self.state = state.clone()
         self.state.m_name = self.m_name
     
@@ -1343,8 +1325,8 @@
         for item in keys:
             if item in self.disp_list and \
-                not self.model.details.has_key(item):
+                not item in self.model.details:
                 self.model.details[item] = ["", None, None]
         #for k,v in self.state.disp_cb_dict.iteritems():
-        self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
+        self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
         self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
         self.values = copy.deepcopy(state.values)
@@ -1355,5 +1337,5 @@
             # it will be sent as a string here, then converted to model object.
             if disp.__class__.__name__ == 'str':
-                com_str  = "from sans.models.dispersion_models "
+                com_str = "from sans.models.dispersion_models "
                 com_str += "import %s as disp_func"
                 exec com_str % disp
@@ -1362,8 +1344,8 @@
                 disp_model = disp
 
-            self._disp_obj_dict[key] = disp_model 
+            self._disp_obj_dict[key] = disp_model
             param_name = key.split('.')[0]
             # Try to set dispersion only when available
-            # for eg., pass the orient. angles for 1D Cal 
+            # for eg., pass the orient. angles for 1D Cal
             try:
                 self.model.set_dispersion(param_name, disp_model)
@@ -1376,8 +1358,8 @@
                 if list[1] == key and list[7] != None:
                     list[7].SetSelection(selection)
-                    # For the array disp_model, set the values and weights 
+                    # For the array disp_model, set the values and weights
                     if selection == 1:
-                        disp_model.set_weights(self.values[key], 
-                                              self.weights[key])
+                        disp_model.set_weights(self.values[key],
+                                               self.weights[key])
                         try:
                             # Diables all fittable params for array
@@ -1401,5 +1383,5 @@
         # Make sure the check box updated when all checked
         if self.cb1.GetValue():
-            self.select_all_param(None)        
+            self.select_all_param(None)
       
     def _selectDlg(self):
@@ -1407,10 +1389,9 @@
         open a dialog file to selected the customized dispersity 
         """
-        import os
-        if self.parent !=  None:
+        if self.parent != None:
             self._default_save_location = \
                         self.parent.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a weight file",
-                                self._default_save_location , "", 
+                                self._default_save_location, "",
                                 "*.*", wx.OPEN)
         path = None
@@ -1436,8 +1417,6 @@
         Reset the plotting range to a given state
         """
-        # if self.check_invalid_panel():
-        #    return
         self.qmin.SetValue(str(state.qmin))
-        self.qmax.SetValue(str(state.qmax)) 
+        self.qmax.SetValue(str(state.qmax))
 
     def _save_typeOfmodel(self):
@@ -1449,26 +1428,25 @@
         self.state.struct_rbutton = self.struct_rbutton.GetValue()
         self.state.plugin_rbutton = self.plugin_rbutton.GetValue()
-        self.state.structurebox= self.structurebox.GetLabel()#.GetCurrentSelection()
-        self.state.formfactorbox = self.formfactorbox.GetLabel()#.GetCurrentSelection()
+        self.state.structurebox = self.structurebox.GetLabel()
+        self.state.formfactorbox = self.formfactorbox.GetLabel()
        
-        #self._undo.Enable(True)
         ## post state to fit panel
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
         
-    def _save_plotting_range(self ):
-        """
-        save the state of plotting range 
+    def _save_plotting_range(self):
+        """
+        save the state of plotting range
         """
         self.state.qmin = self.qmin_x
-        self.state.qmax = self.qmax_x 
+        self.state.qmax = self.qmax_x
         self.state.npts = self.npts_x
             
     def _onparamEnter_helper(self):
         """
-        check if values entered by the user are changed and valid to replot 
+        check if values entered by the user are changed and valid to replot
         model
         """
-        # Flag to register when a parameter has changed.   
+        # Flag to register when a parameter has changed.
         is_modified = False
         self.fitrange = True
@@ -1478,5 +1456,5 @@
         if self.data.__class__.__name__ == "Data2D":
             is_2Ddata = True
-        if self.model !=None:
+        if self.model != None:
             try:
                 is_modified = self._check_value_enter(self.fittable_param,
@@ -1485,10 +1463,10 @@
                                                       is_modified)
                 is_modified = self._check_value_enter(self.parameters,
-                                                      is_modified) 
+                                                      is_modified)
             except:
                 pass
 
             # Here we should check whether the boundaries have been modified.
-            # If qmin and qmax have been modified, update qmin and qmax and 
+            # If qmin and qmax have been modified, update qmin and qmax and
             # set the is_modified flag to True
             if self._validate_qrange(self.qmin, self.qmax):
@@ -1503,9 +1481,9 @@
             
                 if is_2Ddata:
-                    # set mask   
+                    # set mask
                     is_modified = self._validate_Npts()
                     
             else:
-                self.fitrange = False    
+                self.fitrange = False
                 
             if not self.data.is_data:
@@ -1515,16 +1493,15 @@
             if not self.fitrange:
                 #self.btFit.Disable()
-                if is_2Ddata: self.btEditMask.Disable()
+                if is_2Ddata:
+                    self.btEditMask.Disable()
             else:
-                #self.btFit.Enable(True)
-                if is_2Ddata  and self.data.is_data and not self.batch_on: 
+                if is_2Ddata and self.data.is_data and not self.batch_on:
                     self.btEditMask.Enable(True)
             if is_modified and self.fitrange:
-                #if self.data == None:
                 # Theory case: need to get npts value to draw
                 self.npts_x = float(self.Npts_total.GetValue())
                 self.create_default_data()
-                self.state_change= True
-                self._draw_model() 
+                self.state_change = True
+                self._draw_model()
                 self.Refresh()
         return is_modified
@@ -1544,16 +1521,16 @@
         ##So make sure that update param values on_Fit.
         #self._undo.Enable(True)
-        if self.model !=None:   
+        if self.model != None:
             if self.Npts_total.GetValue() != self.Npts_fit.GetValue():
                 if not self.data.is_data:
                     self._manager.page_finder[self.uid].set_fit_data(data=\
-                                                                    [self.data])      
+                                                                [self.data])
             ##Check the values
-            self._check_value_enter( self.fittable_param ,is_modified)
-            self._check_value_enter( self.fixed_param ,is_modified)
-            self._check_value_enter( self.parameters ,is_modified)
+            self._check_value_enter(self.fittable_param, is_modified)
+            self._check_value_enter(self.fixed_param, is_modified)
+            self._check_value_enter(self.parameters, is_modified)
 
             # If qmin and qmax have been modified, update qmin and qmax and 
-             # Here we should check whether the boundaries have been modified.
+            # Here we should check whether the boundaries have been modified.
             # If qmin and qmax have been modified, update qmin and qmax and 
             # set the is_modified flag to True
@@ -1567,8 +1544,8 @@
                     self.qmax_x = tempmax
                 if tempmax == tempmin:
-                    flag = False    
+                    flag = False
                 temp_smearer = None
                 if not self.disable_smearer.GetValue():
-                    temp_smearer= self.current_smearer
+                    temp_smearer = self.current_smearer
                     if self.slit_smearer.GetValue():
                         flag = self.update_slit_smear()
@@ -1579,6 +1556,6 @@
                                                   uid=self.uid,
                                                   fid=self.data.id,
-                                                     qmin=float(self.qmin_x),
-                                                      qmax=float(self.qmax_x),
+                                                  qmin=float(self.qmin_x),
+                                                  qmax=float(self.qmax_x),
                             enable_smearer=not self.disable_smearer.GetValue(),
                                                       draw=False)
@@ -1586,13 +1563,13 @@
                     self._manager.set_smearer(smearer=temp_smearer,
                                               qmin=float(self.qmin_x),
-                                              uid=self.uid, 
+                                              uid=self.uid,
                                               fid=self.data.id,
-                                                 qmax= float(self.qmax_x),
+                                              qmax=float(self.qmax_x),
                             enable_smearer=not self.disable_smearer.GetValue(),
                                                  draw=False)
                     if self.data != None:
-                        index_data = ((self.qmin_x <= self.data.x)&\
+                        index_data = ((self.qmin_x <= self.data.x) & \
                                       (self.data.x <= self.qmax_x))
-                        val = str(len(self.data.x[index_data==True]))
+                        val = str(len(self.data.x[index_data == True]))
                         self.Npts_fit.SetValue(val)
                     else:
@@ -1605,19 +1582,18 @@
                     flag = True
                 if self._is_2D():
-                    # only 2D case set mask  
+                    # only 2D case set mask
                     flag = self._validate_Npts()
                     if not flag:
                         return flag
-            else: flag = False
-        else: 
+            else:
+                flag = False
+        else:
             flag = False
 
-        #For invalid q range, disable the mask editor and fit button, vs.    
+        #For invalid q range, disable the mask editor and fit button, vs.
         if not self.fitrange:
-            #self.btFit.Disable()
             if self._is_2D():
                 self.btEditMask.Disable()
         else:
-            #self.btFit.Enable(True)
             if self._is_2D() and  self.data.is_data and not self.batch_on:
                 self.btEditMask.Enable(True)
@@ -1633,5 +1609,5 @@
             pass
    
-        return flag                           
+        return flag
                
     def _is_modified(self, is_modified):
@@ -1647,5 +1623,5 @@
         if len(statelist) == 0 or len(listtorestore) == 0:
             return
-        if len(statelist) !=  len(listtorestore):
+        if len(statelist) != len(listtorestore):
             return
 
@@ -1654,13 +1630,13 @@
             item_page_info = statelist[j]
             ##change the state of the check box for simple parameters
-            if item_page[0]!=None:   
+            if item_page[0] != None:
                 item_page[0].SetValue(item_page_info[0])
-            if item_page[2]!=None:
+            if item_page[2] != None:
                 item_page[2].SetValue(item_page_info[2])
                 if item_page[2].__class__.__name__ == "ComboBox":
-                   if self.model.fun_list.has_key(item_page_info[2]):
-                       fun_val = self.model.fun_list[item_page_info[2]]
-                       self.model.setParam(item_page_info[1],fun_val)
-            if item_page[3]!=None:
+                    if item_page_info[2] in self.model.fun_list:
+                        fun_val = self.model.fun_list[item_page_info[2]]
+                        self.model.setParam(item_page_info[1], fun_val)
+            if item_page[3] != None:
                 ## show or hide text +/-
                 if item_page_info[2]:
@@ -1668,5 +1644,5 @@
                 else:
                     item_page[3].Hide()
-            if item_page[4]!=None:
+            if item_page[4] != None:
                 ## show of hide the text crtl for fitting error
                 if item_page_info[4][0]:
@@ -1675,14 +1651,13 @@
                 else:
                     item_page[3].Hide()
-            if item_page[5]!=None:
+            if item_page[5] != None:
                 ## show of hide the text crtl for fitting error
                 item_page[5].Show(item_page_info[5][0])
                 item_page[5].SetValue(item_page_info[5][1])
                 
-            if item_page[6]!=None:
+            if item_page[6] != None:
                 ## show of hide the text crtl for fitting error
                 item_page[6].Show(item_page_info[6][0])
                 item_page[6].SetValue(item_page_info[6][1])
-
                     
     def _reset_strparam_state(self, listtorestore, statelist):
@@ -1700,5 +1675,5 @@
             ##change the state of the check box for simple parameters
             
-            if item_page[0] != None:   
+            if item_page[0] != None:
                 item_page[0].SetValue(format_number(item_page_info[0], True))
 
@@ -1707,5 +1682,5 @@
                 value = item_page_info[2]
                 selection = value
-                if self.model.fun_list.has_key(value):
+                if value in self.model.fun_list:
                     selection = self.model.fun_list[value]
                 item_page[2].SetValue(selection)
